//Brancher le condensateur entre A0 et A2
//Calibrer la valeur suivante avec un condensateur connu
const float CAPA_ENTREE = 24;

void setup()
{
  pinMode(A2, OUTPUT);
  pinMode(A0, OUTPUT);
  Serial.begin(9600);
}
 
void loop()
{
    pinMode(A0, INPUT);
    digitalWrite(A2, HIGH);
    int val = analogRead(A0);
    //Calcul et affichage
    float CAPA=(float)val*CAPA_ENTREE/(float)(1023-val);
    Serial.print(F("C = "));
    Serial.print(CAPA, 0);
    Serial.println(F(" pF"));
    digitalWrite(A2, LOW);
    pinMode(A0, OUTPUT);
    delay(1000);
}
